Subject: [DGD] Atomic Errorage
From: dgd at list.imaginary.com (Felix A. Croes)
Date: Tue Feb 17 17:06:00 2004

Michael McKiel wrote:

>[...]
> I didn't seem to be getting any "atomic" errors after putting what will
> cause a runtime error into the function do_command, so I checked the 
> error stream (stderr?) from the linux shell.
>
> And got this:
> Bad argument 1 for kfun explode [atomic]
>   32 do_command        /command/admin/ttt
> Bad argument 1 for kfun explode
>  273 receive_message    /system/user (#18)
>  327 command            /system/player (#19)
> Bad argument 1 for kfun explode
> Object: /system/player#19, program: /system/player, line 327
>
> So the atomic error is being noticed/detected...but it barrels on thru
> to runtime_error()...
>
> So is there more that needs to be done to make atomic work? or is that what
> it's supposed to do? I had figured it shouldn't pass thru to runtime_error()

It's working properly.  The error is not supposed to disappear;
only the changes made by the atomic function should.

Regards,
Dworkin